Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fujitsu.iflow.common
Class DebugLog

    java.lang.Object
      com.fujitsu.iflow.common.DebugLog

All Implemented Interfaces:
  java.io.Serializable

public class DebugLog
extends java.lang.Object
implements java.io.Serializable

Utility object for printing application trace messages.

See Also:
  Serialized Form

Field Summary
`static int` | `AUDIT`
`static java.lang.String` | `DBAdapterLog`
`static java.lang.String` | `DDFrameWorkAdapterLog`
`static java.lang.String` | `DIRAdapterLog`
`static java.lang.String` | `DMSAdapterLog`
`static int` | `ERR`
`static int` | `INF`
`static java.lang.String` | `JSInterpreterLog`
`static boolean` | `LOGActive`
`static java.lang.String` | `SMSAdapterLog`
`static java.lang.String` | `SMSConnectorLog`
`static java.lang.String` | `SMTPAdapterLog`
`static boolean` | `TRACE_INF`
`static java.lang.String` | `TWFServerLog`
`static int` | `WRN`

Constructor Summary
`DebugLog()`
`DebugLog(java.lang.String dbgModuleName)`

Method Summary
`static int` | `getOutputLevel()`
`void` | `prn(java.lang.Exception e)`
`void` | `prn(int severity, int ErrorCode)`
`void` | `prn(int severity, int ErrorCode, java.lang.String variable)`
`void` | `prn(int severity, int ErrorCode, java.lang.String variable, java.lang.Throwable e)`
`void` | `prn(int severity, int ErrorCode, java.lang.Throwable e)`
`void` | `prn(int severity, long objectID, java.lang.String msg)`
`void` | `prn(int severity, java.lang.String msg)`
`void` | `prn(int severity, java.lang.String msg, org.w3c.dom.Document doc)`
`void` | `prn(int severity, java.lang.String msg, java.lang.String msg2)`
`void` | `prn(int severity, java.lang.String msg, java.lang.String msg2, java.lang.String msg3)`
`void` | `prn(int severity, java.lang.String msg, java.lang.String msg2, java.lang.String msg3, java.lang.String msg4)`
`void` | `prn(int severity, java.lang.String msg1, java.lang.Throwable e)`
`void` | `prn(int severity, java.lang.Throwable e)`
`void` | `prn(java.lang.String msg)`
`static void` | `prn(java.lang.String moduleName, long objectID, int severity, java.lang.String msg)`
`java.lang.Exception` | `prnEx(java.lang.Exception e, java.lang.String ctx)` Prints exception.
`static void` | `setDebugLevel(int level, java.lang.String name, java.lang.String adapter)`
`void` | `setOutput(java.lang.String FileName, boolean Recycle)`
`static void` | `setOutputLevel(int level)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LOGActive

    public static boolean LOGActive

### TRACE_INF

    public static boolean TRACE_INF

### INF

    public static final int INF

See Also:
  Constant Field Values

### WRN

    public static final int WRN

See Also:
  Constant Field Values

### ERR

    public static final int ERR

See Also:
  Constant Field Values

### AUDIT

    public static final int AUDIT

See Also:
  Constant Field Values

### TWFServerLog

    public static final java.lang.String TWFServerLog

See Also:
  Constant Field Values

### DBAdapterLog

    public static final java.lang.String DBAdapterLog

See Also:
  Constant Field Values

### SMTPAdapterLog

    public static final java.lang.String SMTPAdapterLog

See Also:
  Constant Field Values

### SMSAdapterLog

    public static final java.lang.String SMSAdapterLog

See Also:
  Constant Field Values

### SMSConnectorLog

    public static final java.lang.String SMSConnectorLog

See Also:
  Constant Field Values

### DDFrameWorkAdapterLog

    public static final java.lang.String DDFrameWorkAdapterLog

See Also:
  Constant Field Values

### DIRAdapterLog

    public static final java.lang.String DIRAdapterLog

See Also:
  Constant Field Values

### DMSAdapterLog

    public static final java.lang.String DMSAdapterLog

See Also:
  Constant Field Values

### JSInterpreterLog

    public static final java.lang.String JSInterpreterLog

See Also:
  Constant Field Values

Constructor Detail

### DebugLog

    public DebugLog(java.lang.String dbgModuleName)

### DebugLog

    public DebugLog()

Method Detail

### prn

    public void prn(int severity,
                    java.lang.String msg)

### prn

    public void prn(int severity,
                    java.lang.String msg,
                    java.lang.String msg2)

### prn

    public void prn(int severity,
                    java.lang.String msg,
                    java.lang.String msg2,
                    java.lang.String msg3)

### prn

    public void prn(int severity,
                    java.lang.String msg,
                    java.lang.String msg2,
                    java.lang.String msg3,
                    java.lang.String msg4)

### prn

    public void prn(java.lang.String msg)

### prn

    public void prn(int severity,
                    java.lang.Throwable e)

### prn

    public void prn(int severity,
                    java.lang.String msg1,
                    java.lang.Throwable e)

### prn

    public void prn(int severity,
                    int ErrorCode)

### prn

    public void prn(int severity,
                    int ErrorCode,
                    java.lang.String variable)

### prn

    public void prn(int severity,
                    int ErrorCode,
                    java.lang.Throwable e)

### prn

    public void prn(int severity,
                    int ErrorCode,
                    java.lang.String variable,
                    java.lang.Throwable e)

### prnEx

    public java.lang.Exception prnEx(java.lang.Exception e,
                                     java.lang.String ctx)

  Prints exception.

  Parameters:
    `ctx` - - a string to identify the context that the exception is being printed within. Can be null.

### prn

    public void prn(java.lang.Exception e)

### prn

    public void prn(int severity,
                    long objectID,
                    java.lang.String msg)

### prn

    public static final void prn(java.lang.String moduleName,
                                 long objectID,
                                 int severity,
                                 java.lang.String msg)

### setOutput

    public void setOutput(java.lang.String FileName,
                          boolean Recycle)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### setOutputLevel

    public static void setOutputLevel(int level)

### getOutputLevel

    public static int getOutputLevel()

### setDebugLevel

    public static void setDebugLevel(int level,
                                     java.lang.String name,
                                     java.lang.String adapter)

### prn

    public void prn(int severity,
                    java.lang.String msg,
                    org.w3c.dom.Document doc)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD